NI-SCOPE 18.1 Driver 0 Ratings | 0.00 out of 5 |   Print

Available Downloads:

Updates and Notifications:
Critical Updates and Security Notifications are posted on ni.com. Before downloading, click here to review this information.
Supporting Files:

Download Language: English; Japanese

Product Line: Digitizers/Oscilloscopes

Version: 18.1

Release date: 05-17-2018

Software type: Driver

Operating system: Windows 10; Windows 8.1; Windows 7 (SP1) 32-bit; Windows 7 (SP1) 64-bit; Windows Embedded Standard 7 (SP1); Windows Server 2012 R2 64-bit; Windows Server 2008 R2 (SP1) 64-bit

Description

This software installation provides support for customers using NI high-speed oscilloscopes/digitizers. To program NI high-speed oscilloscopes/digitizers, use the NI-SCOPE API. The NI High Speed Digitizers Getting Started Guide provides information about how to install, configure, test, and begin using an NI high-speed oscilloscope/digitizer.

New Features

NI-SCOPE 18.1 includes the following new features:

  • Adds support for InstrumentStudio.
  • Adds support for importing and exporting configurations between NI-SCOPE sessions.

NI-SCOPE 18.0 includes the following new features:

  • Adds support for LabVIEW 2018 and LabVIEW NXG 2.1.
  • Adds support for .NET Framework 4.0 and .NET Framework 4.5.

NI-SCOPE 17.5 adds support for LabVIEW NXG 2.0.

NI-SCOPE 17.1 adds support for PXIe-5172.

  • PXIe-5172 (4 channel, 325T FPGA)
  • PXIe-5172 (8 channel, 325T FPGA)
  • PXIe-5172 (8 channel, 410T FPGA)

NI-SCOPE 16.1 adds support for PXIe-5164.

NI-SCOPE 16.0 adds support for LabVIEW 2016 (32- and 64-bit).

NI-SCOPE 15.1.1 adds bug fixes for incompatability with NI-RFSA and NI-RFMx.

NI-SCOPE 15.1 includes the following new features:

  • Support for the NI PXIe-5170R and the NI PXIe-5171R reconfigurable oscilloscopes
  • Support for FPGA extensions

NI-SCOPE 15.0 adds support for LabVIEW 2015.

NI-SCOPE 14.1 includes the following new features:

  • Support for the NI PXIe-5105 and the NI PXIe-5114
  • Debugging for the NI-SCOPE Soft Front Panel

NI-SCOPE 14.0 adds support for LabVIEW 2014.

NI-SCOPE 4.1.3 adds a bug fix for VIs in LabVIEW 2013.

NI-SCOPE 4.1.1 adds a critical bug fix for an issue affecting NI PXIe-5185/5186 digitizers.

NI-SCOPE 4.1 includes the following new features:

  • Support for the NI PXIe-5160, a 2.5 GS/s high-speed digitizer
  • NI-P2P support for the NI PXIe-5160 and the NI PXIe-5162

NI-SCOPE 4.0.5 adds support for LabVIEW 2013.

NI-SCOPE 4.0 adds support for the NI PXIe-5162, a 5 GS/s high-speed digitizer.


Supported Application Development Environments (ADEs)

Install Application Development Environments, such as NI LabVIEW or Microsoft Visual Studio®, before installing NI-SCOPE.  NI-SCOPE 18.1 supports the following NI Application Development Environment versions:

 

NI Application Software Versions Support by NI-SCOPE 18.1
NI LabVIEW 2015, 2016, 2017, and 2018
LabVIEW NXG 2.0, 2.1
NI LabVIEW Real-Time Module3 2014 SP1 or later
LabWindows™/CVI™ 2013 or later
LabWindows™/CVI™ Real-Time Module3 2013 or later

3 No support for the PXIe-5461 and PXIe-517X reconfigurable oscilloscopes.

Note: Not all devices are supported by the LabVIEW Real-Time Module.

Installation Instructions

Perform the following steps to install NI-SCOPE:

  1. Download the NISCOPE1810.zip file and run it to extract it to a local directory on your hard drive.
  2. Find the autorun.exe executable and run it to install NI-SCOPE.

It is recommended that you keep the extracted installation files in case you need to add features from the NI-SCOPE distribution in the future, or plan to create your own installers using National Instruments development environments.

Your Feedback

Rate this document

Answered Your Question?
Yes No

Submit